## lxc 0.9.0

=== debian/changelog ===
lxc (0.9.0-0ubuntu20) saucy; urgency=low

  * Build-depend on hardening-wrapper to meet MIR security requirements.
    This is done instead of using the new dpkg-buildflags as those are a pain
    to get to work when building both binaries and libraries when using -PIE.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 09 Aug 2013 14:33:59 +0200

lxc (0.9.0-0ubuntu19) saucy; urgency=low

  * Add variable in /etc/default/lxc-net to optionally resolve .lxc on
    lxcbr0.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 06 Aug 2013 09:03:59 -0500

lxc (0.9.0-0ubuntu18) saucy; urgency=low

  * 0012-add-kernel-filesystems-to-fstab: saucy containers will fail to start
    unless security, debug, and connections are pre-mounted.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 25 Jul 2013 22:01:02 -0500

lxc (0.9.0-0ubuntu17) saucy; urgency=low

  * 0011-cgroup-hook-handle-stricter-kernel: fix the mountcgroups hook in the
    face of new restrictions imposed by the kernel on devices cgroups.
    (LP: #1196518)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 05 Jul 2013 20:44:57 +0200

lxc (0.9.0-0ubuntu16) saucy; urgency=low

  * conf.c-always-strdup-rootfs.mount: prevent segfault when using
    lxc.rootfs.mount.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 01 Jul 2013 15:29:17 -0500

lxc (0.9.0-0ubuntu15) saucy; urgency=low

  * lxc-net: support an optional dnsmasq configuration file.
  * 0010-debian-template-set-hwaddr: set persistent macaddr when creating a
    debian container (LP: #1080681)
  * lxc.apport: add /etc/lxc/{dnsmasq,default,lxc}.conf and
    /etc/default/lxc{,-net}.conf

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 11 Jun 2013 07:47:32 -0500

lxc (0.9.0-0ubuntu14) saucy; urgency=low

  * 0009-conf.c-if-we-don-t-specify-a-rootfs-we-still-need-pr.patch: if
    apparmor is enabled and no rootfs was specified, then re-mount /proc
    so that we can write the requested apparmor profile under /proc/1.
    (LP: #1188501)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 10 Jun 2013 09:27:32 -0500

lxc (0.9.0-0ubuntu13) saucy; urgency=low

  * 0008-ignore-rootfs-pin-fail.patch: don't refuse to start a container
    on readonly fs.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 05 Jun 2013 21:35:40 +0200

lxc (0.9.0-0ubuntu12) saucy; urgency=low

  * 0007-lxc.conf.doc: Fill in missing sections in lxc.conf(5) manual
    page (LP: 1182085)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 28 May 2013 13:23:57 -0500

lxc (0.9.0-0ubuntu11) saucy; urgency=low

  * lxc-net: deal with the fact that some kernels may not have the needed
    network bridge support.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 28 May 2013 10:52:22 -0400

lxc (0.9.0-0ubuntu10) saucy; urgency=low

  * Rebuild-only upload (LP: #1183807)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 24 May 2013 10:51:44 -0500

lxc (0.9.0-0ubuntu9) saucy; urgency=low

  * 0006-lxc-clone-fix-lvm-blockdev-usage: fix use of wrong pathnames for both
    block devices and mount targets in the LVM case.  (LP: #1183354)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 23 May 2013 14:22:38 -0500

lxc (0.9.0-0ubuntu8) saucy; urgency=low

  [ James Hunt ]
  * Add basic DEP-8 tests to ensure a container can be created, started,
    stopped and cloned.

 -- James Hunt <james.hunt@ubuntu.com>  Tue, 21 May 2013 14:44:12 +0100

lxc (0.9.0-0ubuntu7) saucy; urgency=low

  * 0005-cgroup-prevent-DOS-when-a-hierachy-is-mounted-multip.patch: prevent
    DOS when a cgroup hierarchy is mounted multiple times  (LP: #1176287)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 15 May 2013 22:19:59 +0000

lxc (0.9.0-0ubuntu6) saucy; urgency=low

  * debian/lxc.default, debian/lxc.preinst: calculate an open 10.0.x.0 network
    for lxcbr0 to use at package install time.  This allows easier package
    installion when nested.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 14 May 2013 14:34:51 -0500

lxc (0.9.0-0ubuntu5) saucy; urgency=low

  * push 0004-lxc-ps-handle-cgroup-collisions.patch from upstream to handle
    the case where $container's cgroup is
    /sys/fs/cgroup/$cgroup/lxc/$container-1.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 08 May 2013 16:02:44 -0500

lxc (0.9.0-0ubuntu4) saucy; urgency=low

  * Fix lxc-list crashing when passed --nesting with nested containers.
    (LP: #1177408)
  * Fix lxc-ls to show nested containers when using alternate lxcpath.
    (LP: #1177412)
  * Fix python3 API bug leading to parameter corruption in create and start.
    (LP: #1177400)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 07 May 2013 10:48:40 -0400

lxc (0.9.0-0ubuntu3) raring; urgency=low

  * 0003-python-module-fixes: Cherry pick python module bugfixes from upstream.
  * Update deprecation warning for lxc-halt and lxc-list, moving the
    deprecation from 0.9 to 1.0.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 18 Apr 2013 22:29:39 +0200

lxc (0.9.0-0ubuntu2) raring; urgency=low

  * 0002-lxc-functions-safe-in-dash: stop lxc-clone from silently failing.
    (LP: #1166870)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 09 Apr 2013 12:38:02 -0500

lxc (0.9.0-0ubuntu1) raring; urgency=low

  * New upstream release (0.9.0) (LP: #1166286)
    - New features
        (fixing a regression for 0.8/0.9alpha who relied on --keep-env)
      + lxc-attach: Add --clear-env and --keep-env to lxc-attach
      + lxc-clone: Support 'permanent ephemeral' containers
      + lxc-start-ephemeral: Implement -n to match manpage
    - Bugfix
      + automake: Fix 'make clean'
      + automake: Fix missing files with "make dist"
      + core: API shouldn't be calling create for already defined containers or
        destroy for non defined ones
      + core: Build fixes for ia64
      + core: Make lxc.functions return the default lxcpath if
        /etc/lxc/lxc.conf doesn't provide one
      + core: Properly cleanup network devices if pinning root filesystem
        din't work

