## lxc 1.0.0~alpha1

=== debian/changelog ===
lxc (1.0.0~alpha1-0ubuntu13~ubuntu13.04.1) raring-backports; urgency=low

  * No-change backport to raring (LP: #1250510)

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 12 Nov 2013 17:08:53 +0000

lxc (1.0.0~alpha1-0ubuntu13) saucy-proposed; urgency=low

  * debian/rules and debian/lxc.postinst: set /var/lib/lxc and /var/cache/lxc
    to be perms 700.  That prevents unprivileged users from running setuid-root
    applications.  Install that way by default, and for any previous versions,
    update the permissions.  After this version, respect the user's choice.
    (LP: #1244635)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 04 Nov 2013 08:12:35 -0600

lxc (1.0.0~alpha1-0ubuntu12) saucy-proposed; urgency=low

  * 0012-ubuntu-Improper-pty-permissions.patch: fix pty permissions
    (LP: #1242913)
  * 0013-get-rid-of-lxcpath_anon-idea.patch: make containers started with
    a custom config easier to manage.  (LP: #1244301)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 25 Oct 2013 15:42:27 -0500

lxc (1.0.0~alpha1-0ubuntu11) saucy; urgency=low

  * Deny any kind of access to /sys/kernel/security/** as the containers
    have no reason to read that and it's been causing dbus-daemon to think
    it can integrate with apparmor.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 10 Oct 2013 12:58:54 -0400

lxc (1.0.0~alpha1-0ubuntu10) saucy; urgency=low

  [ Serge Hallyn ]
  * Cherrypicking bugfix from upstream
    - 0011-ubuntu-cloud-prep-hook-fix-debug-helper-to-not-inapp.patch

  [ Stéphane Graber ]
  * On saucy and higher, add "dbus," to the container-base profile.
    (done that way as LXC is backported down to 12.04)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 09 Oct 2013 14:04:23 -0400

lxc (1.0.0~alpha1-0ubuntu9) saucy; urgency=low

  * Update patch with current upstream version (LP: #1236726)
    - 0009-lxc-ubuntu-cloud-pass-numeric-owner-and-p-to-untar.patch
  * Cherrypicking bugfix from upstream
    - 0010-lxc-ubuntu-cloud-Cope-with-spaces-in-paths.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 08 Oct 2013 11:11:33 -0400

lxc (1.0.0~alpha1-0ubuntu8) saucy; urgency=low

  * Add a recommends on uuid-runtime to lxc-templates as the
    ubuntu-cloud template uses uuidgen.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 07 Oct 2013 17:35:56 -0400

lxc (1.0.0~alpha1-0ubuntu7) saucy; urgency=low

  * Cherrypicking bugfix from upstream (LP: #1236577)
    - 0009-lxc-ubuntu-cloud-pass-numeric-owner-and-p-to-untar.patch

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 07 Oct 2013 16:17:27 -0500

lxc (1.0.0~alpha1-0ubuntu6) saucy; urgency=low

  * Cherrypicking bugfix from upstream
    - 0008-Fix-crasher-in-get_ips.patch
      (Fixes lxc-list on Ubuntu Touch amongst other cases)

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 29 Sep 2013 20:52:53 -0400

lxc (1.0.0~alpha1-0ubuntu5) saucy; urgency=low

  * Cherrypicking bugfix from upstream (LP: #1227313)
    - 0007-apparmor.c-drop-newline-when-reading-current-profile.patch

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 27 Sep 2013 15:14:24 -0500

lxc (1.0.0~alpha1-0ubuntu4) saucy; urgency=low

  * modify 0006-add-pstore-to-container-fstab.patch: make pstore mount
    optional.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 16 Sep 2013 11:50:05 -0500

lxc (1.0.0~alpha1-0ubuntu3) saucy; urgency=low

  * Cherrypick bugfix from upstream
    (pre-mount pstore to avoid mountall hanging at boot time):
    - 0006-add-pstore-to-container-fstab.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 13 Sep 2013 16:57:29 -0400

lxc (1.0.0~alpha1-0ubuntu2) saucy; urgency=low

  * Add allow-stderr to autopkgtst restrictions as the Ubuntu template
    uses policy-rc.d to disable some daemons and that causes a message to
    be printed on stderr when the service tries to start.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 12 Sep 2013 13:57:17 -0400

lxc (1.0.0~alpha1-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1218426)
    - A very long list of bugfixes, including:
      (LP: #1081786, LP: #1029777, LP: #987770, LP: #1212290, LP: #1199146,
       LP: #1124526, LP: #1014916, LP: #1212414, LP: #1168526, LP: #1135871)
  * Removed patches:
    - transition/00-redirect-lxc-halt.patch
    - 0001-fix-race-with-fast-init
    - 0002-lxc-functions-safe-in-dash
    - 0003-python-module-fixes
    - 0004-lxc-ps-handle-cgroup-collisions.patch
    - 0005-cgroup-prevent-DOS-when-a-hierachy-is-mounted-multip.patch
    - 0006-lxc-clone-fix-lvm-blockdev-usage
    - 0007-lxc.conf.doc
    - 0008-ignore-rootfs-pin-fail.patch
    - 0009-conf.c-if-we-don-t-specify-a-rootfs-we-still-need-pr.patch
    - conf.c-always-strdup-rootfs.mount
    - 0011-cgroup-hook-handle-stricter-kernel
    - 0012-add-kernel-filesystems-to-fstab
    - 0013-ubuntu-cloud-fix-hostid
    - 0014-lxc-apparmor-null-terminate-buffer
    - 0015-fix-ipv6-pton
  * Refreshed patches:
    - transition/00-redirect-lxc-list.patch
    - 0000-add-autostart.patch
    - 0001-debian-template-set-hwaddr
  * New patches (fix regression when /var/lib/lxc is read-only):
    - 0002-pin_rootfs-be-quiet-and-don-t-fail-container-start.patch
    - 0003-move-monitor-fifo-and-monitor-sock-to-run.patch
    - 0004-hash-lxcname-for-use-in-monitor-unix-socket-sun_path.patch
    - 0005-ignore-ability-to-init-lxc-monitord.log.patch
  * Updated debian/copyright to reflect reality.
  * Fix lxc-template's short description.
  * Replace the cloud-utils recommends by cloud-image-utils | cloud-utils
    to use the new saucy package and still allow for easy backports.
    (LP: #1224545)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 12 Sep 2013 12:45:05 -0400

lxc (0.9.0-0ubuntu23) saucy; urgency=low

  * 0014-lxc-apparmor-null-terminate-buffer: make sure a value we fread is
    null-terminated (LP: #1215386)
  * 0015-fix-ipv6-pton: call inet_pton on the value without the netmask.
    (LP: #1215391)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 23 Aug 2013 11:39:55 -0500


