=== debian/control ===
--- 
+++ 
@@ -78,11 +78,15 @@
 Package: lxc-templates
 Architecture: all
 Depends: lxc (>= 0.8.0~rc1-4ubuntu43), ${misc:Depends}
-Recommends: cloud-utils, debootstrap | cdebootstrap, openssl, rsync
+Recommends: cloud-image-utils | cloud-utils,
+            debootstrap | cdebootstrap,
+            openssl,
+            rsync,
+            uuid-runtime
 Suggests: qemu-user-static
 Replaces: lxc (<< 0.8.0~rc1-4ubuntu43)
 Breaks: lxc (<< 0.8.0~rc1-4ubuntu43)
-Description: Linux Containers userspace tools (development)
+Description: Linux Containers userspace tools (templates)
  Containers are insulated areas inside a system, which have their own namespace
  for filesystem, network, PID, IPC, CPU and memory allocation and which can be
  created using the Control Group and Namespace features included in the Linux
