=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,9 @@
 	cp debian/apparmor/lxc-default-with-nesting debian/lxc/etc/apparmor.d/lxc/lxc-default-with-nesting
 	cp debian/apparmor/abstractions-lxc-container-base debian/lxc/etc/apparmor.d/abstractions/lxc/container-base
 	cp debian/apparmor/abstractions-lxc-start-container debian/lxc/etc/apparmor.d/abstractions/lxc/start-container
+	if dpkg --compare-versions "$(shell grep DISTRIB_RELEASE /etc/lsb-release | cut -d= -f2)" ge "13.10"; then \
+		sed -i "/umount,$$/a\ \ dbus," debian/lxc/etc/apparmor.d/abstractions/lxc/container-base; \
+	fi
 	if [ -x /usr/bin/dh_apparmor ]; then \
 		dh_apparmor -p lxc --profile-name=usr.bin.lxc-start; \
 	fi
@@ -46,5 +49,13 @@
 	dh_installinit --no-restart-on-upgrade --name=lxc-net
 	dh_installinit --no-restart-on-upgrade --name=lxc-instance
 
+override_dh_builddeb:
+	# prevent system users from using setuid-root binaries under /var/lib/lxc
+	mkdir -p debian/lxc/var/lib/lxc
+	chmod 700 debian/lxc/var/lib/lxc
+	mkdir -p debian/lxc/var/cache/lxc
+	chmod 700 debian/lxc/var/cache/lxc
+	dh_builddeb
+
 override_dh_strip:
 	dh_strip --dbg-package=lxc-dbg
