=== debian/tests/control ===
Tests: exercise
Depends: @, cgroup-lite
Restrictions: needs-root allow-stderr
