## lxc 1.0.0~alpha3

=== debian/changelog ===
lxc (1.0.0~alpha3-1) experimental; urgency=low

  * Merging upstream version 1.0.0~alpha3.
  * Dropping ftbfs-sparc.patch, merged upstream.
  * Updating preseed-file for live-debconfig 4.0~alpha30-1.
  * Updating todo file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 21 Nov 2013 08:39:56 +0100

lxc (1.0.0~alpha2-6) experimental; urgency=low

  * Also dropping permissions on /var/cache/lxc for consistency
    (eventhough there's only the minimal bootstrap in there).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 06 Nov 2013 13:42:45 +0100

lxc (1.0.0~alpha2-5) experimental; urgency=low

  * Shortening versioned breaks of lxc-stuff against lxc.
  * Adding rsync to lxc recommends, lxc-clone uses it (Closes: #728860).
  * Setting lxc directory permissions to 0700 to avoid unprivileged users
    on the system to abuse setuid binaries in the container rootfs'es.
  * Using dpkg-statoverride to allow local overrides of (otherwise)
    enforced restricted access permissions to /etc/lxc, /var/lib/lxc, and
    /var/log/lxc.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 06 Nov 2013 13:11:09 +0100

lxc (1.0.0~alpha2-4) experimental; urgency=low

  * Updatin lxc-stuff dehelper install file with proper paths (Closes:
    #728435).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 03 Nov 2013 14:16:28 +0100

lxc (1.0.0~alpha2-3) experimental; urgency=low

  * Running second pass of live-debconfig with debconf frontend
    noninteractive and priority critical (Closes: #727705).
  * Updating to standards version 3.9.5.
  * Disabling /dev/kmsg in default container config.
  * Dropping left-over progress-linux apt preconfiguration.
  * Dropping lxc-halt since all 'new' containers can be shutdown by sigpwr
    by default for quite a while already.
  * Renaming lxc-all to lxc-initscript.
  * Making lxc support 'all' as argument in order to run commands on all
    available containers.
  * Updating manpages.
  * Updating wrapping of default config files.
  * Allowing to have architecture set to auto in order to have
    architecture-neutral preseed files.
  * Unmounting any stray bind mounts on failed container creation.
  * Excluding directories and includes in /etc/lxc/debconfig from
    automatic selection dialog.
  * Moving lxc-stuff docs to local directory within sources tree.
  * Moving lxc-stuff initscript to local directory within sources tree.
  * Updating todo file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 29 Oct 2013 15:41:44 +0100

lxc (1.0.0~alpha2-2) experimental; urgency=low

  * Moving local additions to separate binary package lxc-stuff.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 23 Oct 2013 20:39:37 +0200

lxc (1.0.0~alpha2-1) experimental; urgency=low

  * Merging upstream version 1.0.0~alpha2.
  * Dropping ptsmode.patch, included upstream.
  * Updating homepage field.
  * Updating copyright file.
  * Removing currently broken ubuntu template (Closes: #727244).
  * Removing set -e from rules for shell commands, not needed anymore.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 23 Oct 2013 20:26:32 +0200

lxc (1.0.0~alpha1-2) experimental; urgency=low

  * Adding now required --rootfs handling to lxc-debconfig template.
  * Keeping local lxc-list for the time being.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 17 Sep 2013 15:59:32 +0200

lxc (1.0.0~alpha1-1) experimental; urgency=low

  * Merging upstream version 1.0.0~alpha1.
  * Building with autoreconf again.
  * Removing lxc-configuration-path.patch, not needed anymore.
  * Removing lxc-debconfig.patch, not needed anymore.
  * Removing lxc-destroy-symlinks.patch, not needed anymore.
  * Removing lxc-clone-mac.patch, not needed anymore.
  * Removing lxc-init-path.patch, not needed anymore.
  * Removing lxc-quote-arguments.patch, not needed anymore.
  * Removing lxc-unshare-manpage.patch. not needed anymore.
  * Removing lxc-path.patch, not needed anymore.
  * Rediffing ftbfs-sparc.patch.
  * Rediffing ptsmode.patch.
  * Renumbering patches.
  * Removing removal of removed templates in rules.
  * Reincluding lxc-busybox template.
  * Keeping local lxc-list for now, but not as the default lxc-list.
  * Sourcing init-functions in initscript.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 17 Sep 2013 14:40:47 +0200

lxc (0.9.0-21) experimental; urgency=low

  * Updating lxc-backup/lxc-restore.
  * Changing preseed hiearchy to more suitable includes-before-including
    for one-level of includes only.
  * Removing cgroup-bin conflict, again (Closes: #723130).
  * Correcting variable spelling typo when writing preseeded apt
    preferences for pinning packages.
  * Temporarily building without autoreconf since newer automake fails on
    sub-directories quite unelegantly.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 17 Sep 2013 13:12:17 +0200

lxc (0.9.0-20) experimental; urgency=low

  * Allowing comma seperated list for multiple includes as well as
    whitespace seperated lists.
  * Clarifing comment about reading-in preseed files.
  * Explicitly setting list of enabled component for live-debconfig in
    includable example preseeds for progress-linux to include all used
    components rather than minimal default only.
  * Completing support for multiple preseed files for the first (non-
    chrooted) part of lxc-debconfig, one level of recursion only for now.
  * Adding support for multiple preseed files for the second (chrooted)
    part of lxc-debconfig.
  * Showing error message if updating the cache has failed with note about
    removing the cache.
  * Adding note about hierarchy of preseed files in readme file.
  * Moving preseed examples to subdirectory within
    /usr/share/doc/lxc/examples.
  * Renaming lxc-debconfig preseed file to proper name for use in example
    directory.
  * Adding comments in rules for removed upstream stuff.
  * Updating example preseed files for live-debconfig 4.0~a27-1.
  * Updating todo file.


