=== debian/control ===
Source: lxc
Section: admin
Priority: optional
Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
Uploaders: Jonas Genannt <jonas.genannt@capi2name.de>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 autotools-dev,
 docbook2x,
 libapparmor-dev,
 libcap-dev,
 linux-libc-dev,
 pkg-config,
Standards-Version: 3.9.5
Homepage: http://linuxcontainers.org/
Vcs-Browser: http://daniel-baumann.ch/gitweb/?p=debian/packages/lxc.git
Vcs-Git: git://daniel-baumann.ch/git/debian/packages/lxc.git

Package: lxc
Architecture: linux-any
Pre-Depends: multiarch-support
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 lxc-stuff,
 libcap2-bin,
 rsync,
Description: Linux Containers userspace tools
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, PID, IPC, CPU and memory allocation and which can be
 created using the Control Group and Namespace features included in the Linux
 kernel.
 .
 This package provides the lxc-* tools, which can be used to start a single
 daemon in a container, or to boot an entire "containerized" system, and to
 manage and debug your containers.

Package: lxc-stuff
Architecture: all
Depends:
 ${misc:Depends},
 lxc (>= ${source:Version}),
Breaks: lxc (<< 1.0.0~alpha)
Replaces: lxc
Recommends: debootstrap
Suggests:
 live-debconfig-doc,
 gpgv,
 debian-keyring,
 rsync,
Description: Linux Containers userspace tools (additional utilities)
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, PID, IPC, CPU and memory allocation and which can be
 created using the Control Group and Namespace features included in the Linux
 kernel.
 .
 This package provides additional utilities for lxc.

Package: lxc-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends:
 ${misc:Depends},
 lxc (= ${binary:Version}),
 lxc-dev (= ${binary:Version}),
Description: Linux Containers userspace tools (debug)
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, PID, IPC, CPU and memory allocation and which can be
 created using the Control Group and Namespace features included in the Linux
 kernel.
 .
 This package contains the debugging symbols.

Package: lxc-dev
Section: libdevel
Architecture: linux-any
Depends:
 ${misc:Depends},
 lxc (= ${binary:Version}),
Description: Linux Containers userspace tools (development)
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, PID, IPC, CPU and memory allocation and which can be
 created using the Control Group and Namespace features included in the Linux
 kernel.
 .
 This package contains the development files.
