## lxc 1.0.3

=== debian/changelog ===
lxc (1.0.3-0ubuntu3) trusty; urgency=medium

  * Add a dependency on the new apparmor to make sure we have the new
    parser around before we attempt to load a profile requiring the new
    stanza support. (LP: #1304167)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 14 Apr 2014 10:10:40 -0400

lxc (1.0.3-0ubuntu2) trusty; urgency=medium

  * Cherry-pick upstream fix for cgmanager integration. (LP: #1303649)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 11 Apr 2014 12:17:41 -0400

lxc (1.0.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release.
  * Drop debian/patches/apparmor-signal-ptrace.patch, now upstream.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 08 Apr 2014 19:32:40 -0400

lxc (1.0.2-0ubuntu2) trusty; urgency=medium

  * updates for AppArmor signal and ptrace mediation (LP: #1298611)
    - debian/patches/apparmor-signal-ptrace.patch: add signal and ptrace rules
      to abstractions/container-base and abstractions/start-container
    - debian/rules: remove signal and ptrace rules for Ubuntu releases earlier
      than 14.04 LTS

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 03 Apr 2014 07:06:56 -0500

lxc (1.0.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release.
  * Update packaging from daily branch.
    - Build-depend on libcgmanager-dev
    - Build-depend on libseccomp-dev for armhf too
    - Move rsync dependency from lxc to liblxc1
    - Stop recommending cgroup-lite | cgroup-bin (replace by cgmanager)
    - Stop recommending libcap2-bin (lxc-setcap was dropped ages ago)
    - Stop recommending openssl from lxc (only used by templates)
    - Move uidmap recommend from lxc to liblxc1
    - Recommend busybox-static for lxc-templates
    - Add cgmanager as a dependency of liblxc1
    - Enable cgmanager support in LXC (LP: #1279048)
    - Drop cgroup-lite test suite dependency.
    - Update testsuite runner to work inside an unprivileged container.
    - Update testsuite runner to work in the LXC CI environment.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 27 Mar 2014 23:18:11 -0400

lxc (1.0.1-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release. (LP: #1246094, LP: #1277466)
    Changelog at: https://linuxcontainers.org/news
  * Add xz-utils to lxc-templates' dependencies.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 07 Mar 2014 12:18:28 -0500

lxc (1.0.0-0ubuntu4) trusty; urgency=medium

  * Tweak autopkgtest proxy detection to hopefully detect the right
    proxy on the armhf testers...

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 22 Feb 2014 00:28:50 -0500

lxc (1.0.0-0ubuntu3) trusty; urgency=medium

  * Add debootstrap to autopkgtest dependencies.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 21 Feb 2014 22:24:03 -0500

lxc (1.0.0-0ubuntu2) trusty; urgency=medium

  * Update autopkgtest script to detect:
    - ppc64el
    - running in a container
    - running on an older kernel

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 21 Feb 2014 20:16:44 -0500

lxc (1.0.0-0ubuntu1) trusty; urgency=medium

  * New upstream release (1.0.0).
  * Replace liblxc0 by liblxc1.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 20 Feb 2014 13:53:18 -0500

lxc (1.0.0~rc4-0ubuntu1) trusty; urgency=medium

  * New upstream release (1.0.0~rc4).

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 19 Feb 2014 15:04:25 -0500

lxc (1.0.0~rc3-0ubuntu1) trusty; urgency=medium

  * New upstream release (1.0.0~rc3).

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 17 Feb 2014 22:16:17 -0500

lxc (1.0.0~rc1-0ubuntu2) trusty; urgency=medium

  * Re-add adt proxy workaround, it should have been fixed in adt but
    apparently it's not, so keep hardcoding the right values for now.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 13 Feb 2014 23:55:59 -0500

lxc (1.0.0~rc1-0ubuntu1) trusty; urgency=medium

  * New upstream release (1.0.0~rc1).
  * Drop dont_crash_log_init.patch: upstreamed
  * Drop adt proxy workaround (fixed in adt).
  * Make lxc-templates arch:any since unfortunately lxc-sshd hardcodes
    some paths...

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 13 Feb 2014 18:58:51 -0500

lxc (1.0.0~beta4-0ubuntu2) trusty; urgency=medium

  * debian/patches/dont_crash_log_init.patch: don't crash if no name is passed
    to lxc_log_init(), such as is the case with lxc-autostart. (LP: #1277450)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 07 Feb 2014 07:06:50 -0500

lxc (1.0.0~beta4-0ubuntu1) trusty; urgency=medium

  * New upstream release (1.0.0~beta4). (LP: #1273769)
  * Move uidmap from Depends to Recommends.
  * Drop duplicate python3 cflags (LP: #1272948)
  * Tweak adt to use a proxy server.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 06 Feb 2014 19:32:23 -0500

lxc (1.0.0~beta3-0ubuntu1) trusty; urgency=medium

  * New upstream release (1.0.0~beta3).
  * Drop Build-conflict and instead pass --disable-lua.
  * Update autopkgtests to dynamically run all upstream tests.
  * Create /etc/lxc/lxc-usernet if missing.
  * Apparmor profiles and upstart jobs are now upstream (drop from packaging).
  * Bash completetion is now upstream.
  * Update lintian overrides.
  * DEPRECATED: lxc-aa-custom-profile has been dropped, instead use the
    examples in the default configuration file.
  * DEPRECATED: lxc-list has been dropped. Use "lxc-ls -f" instead.
  * DEPRECATED: lxc-halt has been dropped. Use "lxc-stop" instead.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 27 Jan 2014 14:40:48 +0000

lxc (1.0.0~beta2-0ubuntu2) trusty; urgency=medium

  * Build python3 extension for all supported python versions. LP: #127236.
  * Build-conflict with lua5.2*, the packaging is not ready for it.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 26 Jan 2014 09:57:03 +0100

lxc (1.0.0~beta2-0ubuntu1) trusty; urgency=medium

  * New upstream release (1.0.0~beta2).
  * Removed patches (no remaining):
    - 0000-add-autostart.patch
    - 0001-fix-lxc-usernsexec-regression.patch
  * Update packaging for upstream's implementation of autostart.

