=== debian/watch ===
version=3
http://linuxcontainers.org/downloads lxc-(.*)\.tar\.gz
